Bug 21157 - i815 sound on Dell Dimension 4100
i815 sound on Dell Dimension 4100
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-11-20 19:58 EST by Mick Tantasirikorn
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-08 12:41:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mick Tantasirikorn 2000-11-20 19:58:03 EST
the 815 chipset sound on the dim4100: play yahoo.wav and got the following 
        sox: couldn't set to mono 
        sox: unable to set adio speed to 11025 (set to 48000) 
CD music plays very low by default. 
Quake 3 hangs the system with the following output.

Q3 1.11 linux-i386 Nov 24 1999
----- FS_Startup -----
Current search path:


Running in restricted demo mode.

----- FS_Startup -----
Current search path:

----- CL_Shutdown -----
----- CL_Shutdown -----
Error: Couldn't load default.cfg
Comment 1 Bill Nottingham 2000-11-21 10:57:49 EST
What version of sox do you have installed?
Comment 2 Bill Nottingham 2000-11-21 10:59:08 EST
What happens if you start quake without sound, and then change
the settings to force 16-bit 44kHz?
Comment 3 Dan Taylor 2000-11-28 10:27:54 EST
I'm not sure which kernel version this was originally logged against.  The 
version I am testing with now is: 2.2.17-8  w/ sox-12.16-11.  I reinstalled 
quake because the error above looks like it is not finding a config file.  I 
received the following error when running quake3 now (I'm also not sure what 
process you want to use to start q3 w/o sound & then force 16bit 44kHz).

Q3 1.11 linux-i386 Nov 24 1999
----- FS_Startup -----
Current search path:
./baseq3/pak0.pk3 (3539 files)

execing default.cfg
execing q3config.cfg
couldn't exec autoexec.cfg
----- Client Initialization -----
----- Initializing Renderer ----
----- Client Initialization Complete -----
--- Common Initialization Complete ---
Opening IP socket: localhost:27960
Hostname: localhost.localdomain
Alias: localhost
----- R_Init -----
...loading libGL.so: Initializing OpenGL display
...setting mode 3: 640 480
Using XFree86-VidModeExtension Version 2.0
XF86DGA Mouse (Version 2.0) initialized
XFree86-VidModeExtension Activated at 640x480
Using 8/8/8 Color bits, 24 depth, 0 stencil display.
Initializing OpenGL extensions
...using GL_S3_s3tc
...ignoring GL_EXT_texture_env_add
...using GL_ARB_multitexture
...using GL_EXT_compiled_vertex_array

GL_EXTENSIONS: GL_ARB_multitexture GL_ARB_texture_compression 
GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix 
GL_ATIX_texture_env_dot3 GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color 
GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array 
GL_EXT_fog_coord GL_EXT_packed_pixels GL_EXT_paletted_texture 
GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_secondary_color 
GL_EXT_separate_specular_color GL_EXT_shared_texture_palette 
GL_EXT_stencil_wrap GL_EXT_texture_compression_s3tc GL_EXT_texture_edge_clamp 
GL_EXT_texture_env_add GL_EXT_texture_env_combine GL_EXT_texture_cube_map 
GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod GL_EXT_texture_lod_bias 
GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_vertex_weighting 
GL_IBM_texture_mirrored_repeat GL_KTX_buffer_region GL_NV_blend_square 
GL_NV_fence GL_NV_fog_distance GL_NV_light_max_exponent 
GL_NV_register_combiners GL_NV_texgen_emboss GL_NV_texgen_reflection 
GL_NV_texture_env_combine4 GL_NV_vertex_array_range GL_S3_s3tc 

PIXELFORMAT: color(24-bits) Z(24-bit) stencil(0-bits)
MODE: 3, 640 x 480 fullscreen hz:N/A
GAMMA: software w/ 0 overbright bits
rendering primitives: single glDrawElements
picmip: 1
texture bits: 0
multitexture: enabled
compiled vertex arrays: enabled
texenv add: disabled
compressed textures: enabled
Initializing Shaders
...loading 'scripts/base.shader'
...loading 'scripts/base_button.shader'
...loading 'scripts/base_floor.shader'
...loading 'scripts/base_light.shader'
...loading 'scripts/base_object.shader'
...loading 'scripts/base_support.shader'
...loading 'scripts/base_trim.shader'
...loading 'scripts/base_wall.shader'
...loading 'scripts/common.shader'
...loading 'scripts/ctf.shader'
...loading 'scripts/eerie.shader'
...loading 'scripts/gfx.shader'
...loading 'scripts/gothic_block.shader'
...loading 'scripts/gothic_floor.shader'
...loading 'scripts/gothic_light.shader'
...loading 'scripts/gothic_trim.shader'
...loading 'scripts/gothic_wall.shader'
...loading 'scripts/hell.shader'
...loading 'scripts/liquid.shader'
...loading 'scripts/menu.shader'
...loading 'scripts/models.shader'
...loading 'scripts/organics.shader'
...loading 'scripts/sfx.shader'
...loading 'scripts/shrine.shader'
...loading 'scripts/skin.shader'
...loading 'scripts/sky.shader'
...loading 'scripts/test.shader'
----- finished R_Init -----

------- sound initialization -------
Received signal 11, exiting...
Comment 4 Bill Nottingham 2000-11-28 14:07:11 EST
Signal 11? That's a quake bug - sorry.
Comment 5 Bill Nottingham 2000-11-28 14:10:43 EST
To force the sound type quake uses, edit the q3config.cfg under
~/.q3a. Make sure sndchannels is set to 2 and sndbits is set to 16.
Comment 6 Dan Taylor 2000-11-28 15:53:48 EST
the settings in the q3config.cfg were correct.  It was set to 22kHz.  Tried 44 
had the same signal 11 problem.  However if we swap the soundcard with a sb 
live or santa cruz, (& load those modules), quake3 works fine.
Comment 7 Bill Nottingham 2001-01-30 19:24:19 EST
This is a problem with the driver in the kernel.
Comment 8 Arjan van de Ven 2001-02-14 14:50:22 EST
No it is not. Or rather, the policy is to let userspace do the
frequency changes. ESD is very good at this, quake apparently not.
Dell laptops either do 48kHz or 56kHz. 48kHz is becoming standard 
these days; quake doesn't seem to support it. But this is not a kernel bug.

I will close this as "NOTABUG". Feel free to reopen if you don't agree.

Note You need to log in before you can comment on or make changes to this bug.